import { Reducer, Store } from 'redux';
export declare class ReduxRegistryReducerItem {
    stateName: string;
    reducer: Reducer<{}>;
}
export interface IRegisterModulePayload {
    initialState: {};
    stateName: string;
}
export declare class ReduxRegistry {
    static readonly ACTION_REGISTER_MODULE: string;
    private static readonly _store;
    private static readonly _reducers;
    static registerStore(store: Store<{}>): void;
    static registerReducer(stateName: string, type: string, reducer: Reducer<{}>): void;
    static registerModule(stateName: any, module: any): void;
    static getReducerItemsByType(type: string): ReduxRegistryReducerItem[];
    static getStore(): Promise<Store<{}>>;
}
